<?php

namespace Hayao\color;

use pocketmine\item\Item;
use pocketmine\nbt\NBT;
use pocketmine\nbt\tag\ByteTag;
use pocketmine\nbt\tag\CompoundTag;
use pocketmine\nbt\tag\DoubleTag;
use pocketmine\nbt\tag\ListTag;
use pocketmine\nbt\tag\FloatTag;
use pocketmine\nbt\tag\IntTag;
use pocketmine\nbt\tag\LongTag;
use pocketmine\nbt\tag\NoDynamicFieldsTrait;
use pocketmine\nbt\tag\ShortTag;
use pocketmine\nbt\tag\StringTag;


class AC {

	public static function setColor($item, $color){
		if(!is_null($item->getId())){
			$id = $item->getId();
			if(!$id === 298 && !$id === 299 && !$id === 300 && !$id === 301){
				return $item;
			}
			switch ($color) {
				case "赤":
					$colorcode = (255 << 16 | 0 << 8 | 0) & 0xffffff;
				break;
				case "青":
					$colorcode = (0 << 16 | 0 << 8 | 255) & 0xffffff;
				break;
				case "緑":
					$colorcode = (0 << 16 | 255 << 8 | 0) & 0xffffff;
				break;
				case "黒":
					$colorcode = (255 << 16 | 255 << 8 | 255) & 0xffffff;
				break;
				case "白":
					$colorcode = (255 << 16 | 255<< 8 | 255) & 0xffffff;
				break;
				case "黄緑":
					$colorcode = (155 << 16 | 255 << 8 | 0) & 0xffffff;
				break;
				case "ピンク":
					$colorcode = (255 << 16 | 0 << 8 | 255) & 0xffffff;
				break;
				case "紫":
					$colorcode = (165 << 16 | 0 << 8 | 235) & 0xffffff;
				break;
				case "水色":
					$colorcode = (0 << 16 | 255 << 8 | 255) & 0xffffff;
				break;
				case "黄色":
					$colorcode = (255 << 16 | 255 << 8 | 0) & 0xffffff;
				break;
				case "灰色":
					$colorcode = (100 << 16 | 100 << 8 | 100) & 0xffffff;
				break;
			}
			if(isset($colorcode)){
				$item->setNamedTagEntry(new IntTag("customColor", $colorcode));
				return $item;
			}else{
				return $item;
			}
		}
	}

}